jammy/linux-gcp-6.2: 6.2.0-1021.23~22.04.1 -proposed tracker

Bug #2048555 reported by Thadeu Lima de Souza Cascardo
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Fix Committed
Medium
Unassigned
Abi-testing
Fix Released
Medium
Unassigned
Automated-testing
Invalid
Medium
Canonical Kernel Team
Boot-testing
Fix Released
Medium
Unassigned
Certification-testing
Invalid
Medium
Unassigned
Kernel-signoff
Fix Released
Undecided
Roxana Nicolescu
New-review
Fix Released
Medium
Andy Whitcroft
Prepare-package
Fix Released
Medium
Masahiro Yamada
Prepare-package-generate
Fix Released
Medium
Masahiro Yamada
Prepare-package-lrg
Fix Released
Medium
Masahiro Yamada
Prepare-package-lrm
Fix Released
Medium
Masahiro Yamada
Prepare-package-lrs
Fix Released
Medium
Masahiro Yamada
Prepare-package-meta
Fix Released
Medium
Masahiro Yamada
Prepare-package-signed
Fix Released
Medium
Masahiro Yamada
Promote-signing-to-proposed
Invalid
Medium
Unassigned
Promote-to-proposed
Fix Released
Medium
Ubuntu Stable Release Updates Team
Promote-to-security
Fix Released
Medium
Andy Whitcroft
Promote-to-updates
Fix Released
Medium
Andy Whitcroft
Regression-testing
Fix Released
Medium
Canonical Kernel Team
Security-signoff
Fix Released
Medium
Canonical Security Team
Sru-review
Fix Released
Medium
Andy Whitcroft
Verification-testing
Fix Released
Medium
Canonical Kernel Team
canonical-signing-jobs
Task00
Fix Released
Medium
Andy Whitcroft
linux-gcp-6.2 (Ubuntu)
Jammy
Fix Released
Medium
Unassigned

Bug Description

This bug will contain status and test results related to a kernel source (or snap) as stated in the title.

For an explanation of the tasks and the associated workflow see:
  https://wiki.ubuntu.com/Kernel/kernel-sru-workflow

-- swm properties --
built:
  from: eff6f8bc8098e33c
  route-entry: 2
comments:
  abi-testing: 1
delta:
  promote-to-proposed: []
  promote-to-security: []
  promote-to-updates: [lrm, lrs, main, meta, signed]
flag:
  boot-testing-requested: true
  bugs-spammed: true
  proposed-announcement-sent: true
  proposed-testing-requested: true
issue: KSRU-10782
packages:
  generate: linux-generate-gcp-6.2
  lrg: linux-restricted-generate-gcp-6.2
  lrm: linux-restricted-modules-gcp-6.2
  lrs: linux-restricted-signatures-gcp-6.2
  main: linux-gcp-6.2
  meta: linux-meta-gcp-6.2
  signed: linux-signed-gcp-6.2
phase: Complete
phase-changed: Monday, 12. February 2024 15:53 UTC
reason: {}
synthetic:
  :promote-to-as-proposed: Invalid
variant: debs
versions:
  lrm: 6.2.0-1021.23~22.04.1+1
  main: 6.2.0-1021.23~22.04.1
  meta: 6.2.0.1021.23~22.04.1
  signed: 6.2.0-1021.23~22.04.1
versions-replace:
  lrm: [6.2.0-1021.23~22.04.1]
~~:
  announce:
    swm-transition-crankable: 2024-01-15 18:06:15.191063
  clamps:
    new-review: eff6f8bc8098e33c
    promote-to-proposed: eff6f8bc8098e33c
    self: 6.2.0-1021.23~22.04.1
    sru-review: eff6f8bc8098e33c
  tracker:
    last-message: '2024-02-08 17:34:42.912832+00:00'

tags: added: kernel-release-tracking-bug-live
description: updated
tags: added: kernel-sru-cycle-s2023.10.30-1
description: updated
description: updated
tags: added: kernel-sru-backport-of-2048556
Changed in kernel-sru-workflow:
status: New → Confirmed
importance: Undecided → Medium
Changed in linux-gcp-6.2 (Ubuntu Jammy):
importance: Undecided → Medium
Changed in kernel-sru-workflow:
status: Confirmed → Triaged
description: updated
Changed in kernel-sru-workflow:
status: Triaged → In Progress
tags: added: kernel-jira-issue-ksru-10782
description: updated
description: updated
description: updated
description: updated
description: updated
summary: - jammy/linux-gcp-6.2: <version to be filled> -proposed tracker
+ jammy/linux-gcp-6.2: 6.2.0-1021.23~22.04.1 -proposed tracker
description: updated
tags: added: kernel-jira-in-review
description: updated
tags: removed: kernel-jira-in-review
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Revision history for this message
Ubuntu Kernel Ancillary Bot (ubuntu-kernel-ancillary-bot) wrote : ABI testing

amd64/gcp canonical-certs.pem unchanged
amd64/gcp canonical-revoked-certs.pem unchanged
amd64/gcp fwinfo unchanged
amd64/gcp modules unchanged
amd64/gcp retpoline unchanged
arm64/gcp canonical-certs.pem unchanged
arm64/gcp canonical-revoked-certs.pem unchanged
arm64/gcp fwinfo unchanged
arm64/gcp modules unchanged
arm64/gcp retpoline unchanged

description: updated
description: updated
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Kernel requires additional signoff

linux-image name changes detected, review variant/flavour changes; kernel-signoff required.

description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Andy Whitcroft (apw)
description: updated
description: updated
description: updated
tags: added: regression-testing-passed
description: updated
Andy Whitcroft (apw)
description: updated
description: updated
tags: added: verification-testing-passed
description: updated
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (40.0 KiB)

This bug was fixed in the package linux-gcp-6.2 - 6.2.0-1021.23~22.04.1

---------------
linux-gcp-6.2 (6.2.0-1021.23~22.04.1) jammy; urgency=medium

  * jammy/linux-gcp-6.2: 6.2.0-1021.23~22.04.1 -proposed tracker (LP: #2048555)

  [ Ubuntu: 6.2.0-1021.23 ]

  * lunar/linux-gcp: 6.2.0-1021.23 -proposed tracker (LP: #2048556)
  * Packaging resync (LP: #1786013)
    - [Packaging] remove helper scripts
  * lunar/linux: 6.2.0-40.41 -proposed tracker (LP: #2048568)
  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
  * CVE-2024-0193
    - netfilter: nf_tables: skip set commit for deleted/destroyed sets
  * CVE-2023-6606
    - smb: client: fix OOB in smbCalcSize()
  * CVE-2023-6817
    - netfilter: nft_set_pipapo: skip inactive elements during set walk
  * CVE-2023-6932
    - ipv4: igmp: fix refcnt uaf issue when receiving igmp query packet
  * CVE-2023-6931
    - perf: Fix perf_event_validate_size()
    - perf: Fix perf_event_validate_size() lockdep splat

  [ Ubuntu: 6.2.0-1020.22 ]

  * lunar/linux-gcp: 6.2.0-1020.22 -proposed tracker (LP: #2041544)
  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] resync update-dkms-versions helper
  * lunar/linux: 6.2.0-39.40 -proposed tracker (LP: #2043451)
  * USB bus error after upgrading to proposed kernel on lunar and jammy
    (LP: #2043197)
    - USB: core: Fix oversight in SuperSpeed initialization
  * Include cifs.ko in linux-modules package (LP: #2042546)
    - [Packaging] Replace fs/cifs with fs/smb/client in inclusion list
  * lunar/linux: 6.2.0-38.39 -proposed tracker (LP: #2041557)
  * CVE-2023-25775
    - RDMA/irdma: Prevent zero-length STAG registration
  * CVE-2023-5345
    - fs/smb/client: Reset password pointer to NULL
  * CVE-2023-39189
    - netfilter: nfnetlink_osf: avoid OOB read
  * SMC stats: Wrong bucket calculation for payload of exactly 4096 bytes
    (LP: #2039575)
    - net/smc: Fix pos miscalculation in statistics
  * [SRU][J/L/M] UBUNTU: [Packaging] Make WWAN driver a loadable module
    (LP: #2033406)
    - [Packaging] Make WWAN driver loadable modules
  * CVE-2023-45871
    - igb: set max size RX buffer when store bad packet is enabled
  * CVE-2023-39193
    - netfilter: xt_sctp: validate the flag_info count
  * CVE-2023-39192
    - netfilter: xt_u32: validate user space input
  * CVE-2023-31085
    - ubi: Refuse attaching if mtd's erasesize is 0
  * CVE-2023-5717
    - perf: Disallow mis-matched inherited group reads
  * CVE-2023-5178
    - nvmet-tcp: Fix a possible UAF in queue intialization setup
  * CVE-2023-5158
    - vringh: don't use vringh_kiov_advance() in vringh_iov_xfer()
  * CVE-2023-5090
    - x86: KVM: SVM: always update the x2avic msr interception
  * usbip: error: failed to open /usr/share/hwdata//usb.ids (LP: #2039439)
    - [Packaging] Make linux-tools-common depend on hwdata
  * Unable to use nvme drive to install Ubuntu 23.10 (LP: #2040157)
    - misc: rtsx: Fix some platforms can not boot and move the l1ss judgment to
      probe
  * Lunar update: upstream stable patchset 2023-10-19 (LP: #2039884)
    - ACPI: thermal: Drop nocrt parameter
    - module: Expose module_init_layout_section()...

Changed in linux-gcp-6.2 (Ubuntu Jammy):
status: New → Fix Released
description: updated
description: updated
description: updated
description: updated
description: updated
Andy Whitcroft (apw)
tags: added: kernel-accept-superseded-binaries
description: updated
description: updated
description: updated
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Workflow done!

All tasks have been completed and the bug is being closed

Changed in kernel-sru-workflow:
status: In Progress → Fix Committed
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.